/* global MembershipInterface */

(function(){

    "use strict";

    // add the response listener
    window.addEventListener('message', function(event) {

        // log the response
        var data = event.data.data;
        switch (event.data.method) {

            case "recoverPass":
                $('#forgot-password-form input[type=submit]').val("SEND").removeAttr("disabled");
                if (data.success === undefined) {
                    $('#forgot-password-form .error').html("ERROR").fadeIn();
                    return;
                }

                if (data.success === false) {
                    $('#forgot-password-form .error').html(data.message).fadeIn();
                    return;
                }

                alert("WE HAVE SENT YOU AN EMAIL WITH A RECOVER LINK");
                window.location = "index.html";
                break;
        }
    });

    $(function() {

        $("#forgot-password-form").submit(function() {
            // get the input values
            var email = $(this).find('input[name=email]').val().trim();

            // must add a password
            $(this).find('.error').hide();
            if (email === "") {
                $(this).find('.error').html("Email is required").fadeIn();
                return false;
            }

            // validate the hash key
            $(this).find('input[type=submit]').val("SENDING...").attr("disabled", true);
            MembershipInterface.recoverPass('ms-frame', email);
            return false;
        });

    });

})();
