<?php
//	Script Version 7.5.7

// Require the library
require ("../libs/admin.inc.php");
require ("../languages/{$config['LANGUAGE']}/admin/customislands.php");
require ("../languages/{$config['LANGUAGE']}/admin/generic.php");
error_reporting(7);

// -------------
// Get the input
$returntab = get_input("returntab","get");

// -----------------
// Get the user info

$userob = new user;
$user = $userob -> authenticate("");

$admin = new Admin;

$admin->doAuth();

$tabs = array(
	"{$ubbt_lang['CUSTOM_ISLANDS']}" => ""
);

$admin->setCurrentMenu($ubbt_lang['CUSTOM_ISLANDS']);
$admin->setReturnTab($returntab);
$admin->setPageTitle($ubbt_lang['CUSTOM_ISLANDS']);
$admin->sendHeader();
$admin->createTopTabs($tabs,$returntab);

$query = "
	select 	PORTAL_ID,PORTAL_NAME,PORTAL_CACHE
	from		{$config['TABLE_PREFIX']}PORTAL_BOXES
	where			PORTAL_CUSTOM = '1'
	order by PORTAL_ID
";
$sth = $dbh->do_query($query,__LINE__,__FILE__);
$num = 1;
while(list($portal_id,$portal_name,$portal_cache) = $dbh->fetch_array($sth)) {
	if ($portal_cache) $portal_cache = $portal_cache / 60;
	$portals[] = array(
		"num" => $num,
		"id" => $portal_id,
		"name" => $portal_name,
		"cache" => $portal_cache,
	);
	$num++;
} // end while


// Include the template
include("../templates/default/admin/customislands.tmpl");

$bottomtabs = array(
	"{$ubbt_lang['ADD']}" => "addcustomisland.php",
);
$admin->createBottomTabs($bottomtabs,0);

$admin->sendFooter();
?>
