<?php defined( 'UBB_MAIN_PROGRAM' ) or exit;
//  Script Version 7.5.7



function page_login_gpc () {
	return array(
		"input" => array(
			"myhome" => array("myhome","get","int"),
			"lostpw" => array("lostpw","get","int"),
			"ON_COMPLETION_URL" => array("ON_COMPLETION_URL","get",""),
		),
		"wordlets" => array("login"),
		"user_fields" => "",
		"regonly" => 0,
		"admin_only" => 0,
		"admin_or_mod" => 0,
	);
} // end page_login_gpc

function page_login_run () {

	global $myinfo,$smarty,$user,$in,$ubbt_lang,$config,$forumvisit,$visit,$dbh,$html;

	extract($in, EXTR_OVERWRITE | EXTR_REFS); // quick and dirty fix - extract hash values as vars

	// Send a html header

        // TRIGGER: pointer_delete
        include("libs/triggers.inc.php");
        trigger_pointer_delete();
		trigger_subscriptions();

	// ----------------------------------------------------------------
	// If we already have a username and password, go to the start page
	if ( isset($myinfo['id']) && $myinfo['id'] && isset($myinfo['session']) && ($myinfo['id'] != "deleted") ){
		return $html -> start_page('0','0','0',$myhome);
	}

	// ----------------------------------
	// Otherwise, give them the login box
	$rememberme = "";
	$rememberme = "<input type=\"checkbox\" name=\"rememberme\" id=\"rememberme\" value=\"1\" class=\"form-checkbox\" /> <label for=\"rememberme\">{$ubbt_lang['REMEMBER_ME']}</label><br /><br />";

	$smarty_data['rememberme'] = $rememberme;

	if(isset($in['ON_COMPLETION_URL']) && oncomplete_validate($in['ON_COMPLETION_URL'])) {
		$smarty_data['ON_COMPLETION_URL'] = htmlspecialchars($in['ON_COMPLETION_URL']);
	} // end if

	$cfrm = make_ubb_url("ubb=cfrm", "", false);
	return array(
		"header" => array (
			"title" => $ubbt_lang['LOGIN_PROMPT'],
			"refresh" => 0,
			"user" => "",
			"Board" => "",
			"bypass" => 0,
			"onload" => "document.login.Loginname.focus()",
			"breadcrumb" => <<<BREADCRUMB
 <a href="{$cfrm}">{$ubbt_lang['FORUM_TEXT']}</a>
 &raquo;
 {$ubbt_lang['LOGIN_PROMPT']}
BREADCRUMB
			,
		),
		"template" => $lostpw ? "lost_password" : "login",
		"data" => & $smarty_data,
		"footer" => true,
		"location" => "",
	);

}

?>
