{* Script Version 7.5.7 *} 
{$title}

{$avatarscript}

{literal}
<script type="text/javascript">
// <![CDATA[
var is_pending = 0;
function previewSig() {
	if (is_pending) return;
	is_pending = 1;

	obj = document.PROFILE;
	body = obj.Signature.value;

	var url = script;
	var ajax = new ubbtAJAX(url, updatePreview);
	ajax.sendData("POST","ubb=previewsig&sig=" + encodeURIComponent(body));
}

function updatePreview(responseXML) {
	postBody = responseXML;
	obj = get_object('preview_text');
	obj.innerHTML = postBody;
	area = get_object('preview_area');
	area.style.display="";
	is_pending = 0;
}
// ]]>
</script>
{/literal}

{* ----------------------------------------------------------------------------------
	 Full container - Menu on the left and Content on the right

	 Note -- mynav and mycontent put in, for css'ers. Doesn't affect normal operations
	 ---------------------------------------------------------------------------------- *}

{$tbopen}

{* Conditional left nav *}
{if $mystuff}
<tr>
<td width="15%" valign="top" class="alt-1" id="mynav">{$mystuff}</td>
<td width="85%" valign="top" class="alt-2" id="mycontent">

{* Content *}
<table class="t_outer t_inner" style="border-spacing: 1px;" cellpadding="0" cellspacing="0" border="0" width="100%">
{/if}

{if $e}
<tr>
<td class="category">
{$lang.EMAIL_APPROVAL}
</td>
</tr>
<tr>
<td class="alt-1">
{$lang.EMAIL_APPROVAL_1}
</td>
</tr>
{/if}

{* Title bar crapola -- Common *}
<tr>
<td class="category">
{if $u}<span class="standouttext" style="float:right;">{$lang.PROFILE_UPDATED}</span>{/if}
{$lang.PROF_EDIT}
</td>
</tr>

<tr>
<td class="alt-1">
{$formmethod}
<input type="hidden" name="ubb" value="changebasic" />
<input type="hidden" name="Username" value="{$Username}" />
<input type="hidden" name="profilehash" value="{$profilehash}" />
{$lang.LOGIN_NAME} {$LoginName}
<br />
<br />
<label for="Email">{$lang.EMAIL_ADD}</label>
<br />
<input type="text" name="Email" id="Email" value="{$Email}" class="form-input" />
<br />
<span class="small standouttext">{$unverified}</span>
<br />

<label for="Email_Verify">{$lang.VERIFY_EMAIL}</label>
<br />
<input type="text" name="Email_Verify" id="Email_Verify" value="{$Email}" class="form-input" />
<br />
<br />

{$lang.ADMIN_EMAIL}<br />
<input type="radio" name="adminemails" value="Off" {$optout} class="form-radio" id="adminemails-off" />  <label for="adminemails-off">{$lang.TEXT_NO}</label>
<input type="radio" name="adminemails" value="On" {$optin} class="form-radio" id="adminemails-on" />    <label for="adminemails-on">{$lang.TEXT_YES}</label>
<br />
<br />

<label for="ChosenPassword">{$lang.PROF_PASS}</label>
<br />
<input type="password" name="ChosenPassword" id="ChosenPassword" value="{$ChosenPassword}" class="form-input" autocomplete="off" />
<br />
<br />

<label for="Verify">{$lang.VER_PASS}</label>
<br />
<input type="password" name="Verify" id="Verify" value="{$ChosenPassword}" class="form-input" />
<br />
<br />

{$displaychange}

{if $can_custom == true}
{$lang.CUSTOM_TITLE}<br />
<input name="custom_title" type="text" maxlength="{$config.CUSTOM_TITLE_MAX}" value="{$custom_title}" class="form-input" />
<br /><br />
{else}
<input type="hidden" name="custom_title"  value="{$custom_title}" />
{/if}

{if $gimages}
{$lang.GROUP_IMAGES}<br />
{$gimages}<br /><br />
{/if}

{$birthdayfields}

<label for="Fakeemail">{$lang.FAKE_EMAIL}</label>
<br />
<input type="text" name="Fakeemail" id="Fakeemail" value="{$Fakeemail}" class="form-input" />
<br />
<br />

<label for="Occupation">{$lang.PROF_OCC}</label>
<br />
<input type="text" name="Occupation" id="Occupation" value="{$Occupation}" class="form-input" />
<br />
<br />

<label for="Location">{$lang.PROF_LOC}</label>
<br />
<input type="text" name="Location" id="Location" value="{$Location}" class="form-input" />
<br />
<br />

<label for="Hobbies">{$lang.PROF_HOBB}</label>
<br />
<input type="text" name="Hobbies" id="Hobbies" size="30" value="{$Hobbies}" class="form-input" />
<br />
<br />

<label for="Homepage">{$lang.PROF_HOME}</label>
<br />
http://<input type="text" id="Homepage" name="Homepage" size="30" value="{$Homepage}" class="form-input" />
<br />
<br />

{$CUSTOM_FIELD_1}
{$CUSTOM_FIELD_2}
{$CUSTOM_FIELD_3}
{$CUSTOM_FIELD_4}
{$CUSTOM_FIELD_5}

<label for="icq">{$lang.PROF_ICQ}</label>
<br />
<input type="text" id="icq" name="icq" value="{$icq}" class="form-input" />
<br />
<br />

<label for="yahoo">{$lang.PROF_YAHOO}</label>
<br />
<input type="text" name="yahoo" id="yahoo" value="{$yahoo}" class="form-input" />
<br />
<br />

<label for="msn">{$lang.PROF_MSN}</label>
<br />
<input type="text" name="msn" id="msn" value="{$msn}" class="form-input" />
<br />
<br />

<label for="aim">{$lang.PROF_AIM}</label>
<br />
<input type="text" name="aim" value="{$aim}" id="aim" class="form-input" />
<br />
<br />

<label for="Signature">{$lang.PROF_SIG}</label>
<br />
<textarea name="Signature" id="Signature" cols="60" rows="5" wrap="soft" class="form-input">{$Signature}</textarea>
<br />

{* Sig preview -- hidden until pressed *}
<input type="button" name="previewsig" value="{$lang.PREVIEW}" onclick="previewSig()" class="form-button" />
<span id="preview_area" style="display: none;">
	<br />
	<table border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td class="alt-1"><span id="preview_text"></span></td>
		</tr>
	</table>
</span>
<br />

{* pictureview is an admin option so the html is defined in editbasic.inc.php *}
{$picchangetext}
{$pictureview}
{$stockavatar}
{$picchangeclose}

<input type="submit" name="buttsubmit" value="{$lang.BUTT_SUBMIT}" class="form-button" />
</form>

{if $mystuff}
</td>
</tr>
</table>
{/if}

</td>
</tr>
{$tbclose}
