$(document).ready(function() {
  //Resize para aplicar tamaños
  setTimeout(function() {
    resize();
  }, 1);

  //Eventos botones
  //CST Flight Services

  $('.logoCST input[type="image"]').hover(function() {
    $(this).attr('src', 'img/landingPage/Button-CST-flight-services_hover.png');
  }, function() {
    $(this).attr('src', 'img/landingPage/Button-CST-flight-services.png');
  });

  $('.logoCST input[type="image"]').focus(function() {
    $(this).attr('src', 'img/landingPage/Button-CST-flight-services_active.png');
  });

  $('.logoCST input[type="image"]').click(function() {
    $(this).blur();
    window.open("Home.html", "_blank");
  });

  //CST Pilots Association
  $('.logoPilotAssociation input[type="image"]').hover(function() {
    $(this).attr('src', 'img/landingPage/Button-CST-pilots-association_hover.png');
  }, function() {
    $(this).attr('src', 'img/landingPage/Button-CST-pilots-association.png');
  });

  $('.logoPilotAssociation input[type="image"]').focus(function() {
    $(this).attr('src', 'img/landingPage/Button-CST-pilots-association_active.png');
  });

  $('.logoPilotAssociation input[type="image"]').click(function() {
    $(this).blur();
    window.open("https://members.caribbeanskytours.com/", "_blank");
  });
});

//Función para mantener el footer en la parte inferior 
//no importando la resolución
function resize() {
  //Obtiene el alto de la ventana
  var window_h = $(window).height();
  //Obtiene el alto del contenido
  var content_h = $(".contenidoTotal").height();
  //Obtiene el alto del pie
  var inferior_h = $(".inferior").outerHeight();
  //Padding que se necesita para posicionar al pie en la parte inferior de la ventana
  var position_inferior = window_h - content_h - inferior_h;

  if (content_h + inferior_h < window_h) {
    $(".contenidoTotal").css('padding-bottom', position_inferior);
  } else {}
}

//Resize para aplicar tamaños
$(window).on('resize', function() {
  resize();
});
