{* Script Version 7.5.7 *} 


{literal}
<script language="javascript" type="text/javascript">
	// <![CDATA[
	function previewSkin() {
		skin = document.display.style.value;
		{/literal}
		showChromeless('{ubb url="" full="true"}?ubb=previewskin&skin='+skin,'preview',800,600);
		{literal}
	}
	// ]]>
</script>
{/literal}

{* ----------------------------------------------------------------------------------
	 Full container - Menu on the left and Content on the right

	 Note -- mynav and mycontent put in, for css'ers. Doesn't affect normal operations
	 ---------------------------------------------------------------------------------- *}

{$tbopen}

{* Conditional left nav *}
{if $mystuff}
<tr>
<td width="15%" valign="top" class="alt-1" id="mynav">{$mystuff}</td>
<td width="85%" valign="top" class="alt-2" id="mycontent">

{* Content *}
<table class="t_outer t_inner" style="border-spacing: 1px;" cellpadding="0" cellspacing="0" border="0" width="100%">
{/if}

{* Title bar crapola *}
<tr>
	<td class="category">
	{if $u}<span class="standouttext" style="float:right;">{$lang.PROFILE_UPDATED}</span>{/if}
	{$lang.PROF_EDIT}
	</td>
</tr>

{* Preferences contents *}
<tr>
	<td class="alt-1">
		<form method="post" action="{ubb url=""}" name="display">
		<input type="hidden" name="ubb" value="changedisplay" />
		<input type="hidden" name="Username" value="{$Username}" />
		<input type="hidden" name="Oldpass" value="{$Password}" />
		<input type="hidden" name="profilehash" value="{$profilehash}" />

		{* Choose a language *}
		<label for="language">{$lang.CHOOSE_LANG}</label><br />
		<select name="language" class="form-select" id="language">
		{foreach from=$languages key=k item=v}
			<option value="{$k}" {if $k == $user_language}selected="selected"{/if}>{$v}</option>
		{/foreach}
		</select><br /><br />

		{* Starting view: Watchlist or Forums *}
		<label for="start_view">{$lang.DEFAULT_START}</label><br />
		<select name="start_view" class="form-select" id="start_view">
			<option value="lists" {$list_selected}>{$lang.FAV_LIST}</option>
			<option value="cfrm" {$cfrm_selected}>{$lang.FAV_CFRM}</option>
		</select><br /><br />

		{* Default Watch tab -- really only meaninful, if we use the drop down 'My Watchlists' *}
		<label for="default_tab">{$lang.DEFAULT_TAB}</label><br />
		<select name="default_tab" class="form-select" id="default_tab">
			<option value="forums" {$forums_tab}>{$lang.TAB_FORUMS}</option>
			<option value="topics" {$topics_tab}>{$lang.TAB_TOPICS}</option>
			<option value="users" {$users_tab}>{$lang.TAB_USERS}</option>
		</select><br /><br />

		{* Default Watch sort *}
		<label for="default_sort">{$lang.DEFAULT_SORT}</label><br />
		<select name="default_sort" id="default_sort" class="form-select">
			<option value="reply" {$sort_reply}>{$lang.SORT_REPLY}</option>
			<option value="creation" {$sort_creation}>{$lang.SORT_CREATION}</option>
			<option value="title" {$sort_title}>{$lang.SORT_TITLE}</option>
			<option value="author" {$sort_author}>{$lang.SORT_AUTHOR}</option>
		</select><br /><br />

		{* Threaded or Flat mode *}
		{if $config.TOPIC_DISPLAY_OPTIONS == "both" || !$config.TOPIC_DISPLAY_OPTIONS}
		<label for="display">{$lang.PROF_DISP}</label><br />
		<select name="display" class="form-select" id="display">
			<option value="threaded" {$threaded}>{$lang.TEXT_THREAD}</option>
			<option value="flat" {$flat}>{$lang.TEXT_FLAT}</option>
		</select><br /><br />
		{else}
		<input type="hidden" name="display" value="{$config.TOPIC_DISPLAY_OPTIONS}" />
		{/if}

		{* Side or Top post layout *}
		<label for="post_layout">{$lang.POST_LAYOUT}</label><br />
		<select name="post_layout" class="form-select" id="post_layout">
			<option value="side" {$side}>{$lang.POST_LAYOUT_SIDE}</option>
			<option value="top" {$top}>{$lang.POST_LAYOUT_TOP}</option>
		</select><br /><br />

		{* User's preferred style along with a link to preview it *}
		<label for="style">{$lang.YOUR_STYLESHEET}</label><br />
		<select name="style" id="style" class="form-select">
			{$style_options}
		</select>
		<input type="button" name="previewskin" value="{$lang.PREVIEW_SKIN}" onclick="previewSkin()" class="form-button" />
		<br /><br />

		{* If there is a left column and admin allows disable, then give them an option *}
		{if $left_column}
		{$lang.DISABLE_LEFT}<br />
		<input type="radio" name="HIDE_LEFT" value="1" {$hide_left_yes} class="form-radio" id="HIDE_LEFT_1" />
		<label for="HIDE_LEFT_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="HIDE_LEFT" value="0" {$hide_left_no} class="form-radio" id="HIDE_LEFT_0" />
		<label for="HIDE_LEFT_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}

		{* Same goes for the right column *}
		{if $right_column}
		{$lang.DISABLE_RIGHT}<br />
		<input type="radio" name="HIDE_RIGHT" value="1" {$hide_right_yes} class="form-radio" id="HIDE_RIGHT_1" />
		<label for="HIDE_RIGHT_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="HIDE_RIGHT" value="0" {$hide_right_no} class="form-radio" id="HIDE_RIGHT_0" />
		<label for="HIDE_RIGHT_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}

		{* Should the 'My Stuff' be a popup menu (DB default) or a left-nav type of interface *}
		{$lang.SHOW_MYSTUFF_LEFT}<br />
		<input type="radio" name="mystuff_left" value="1" {$mystuff_left_yes} class="form-radio" id="mystuff_left_1" />
		<label for="mystuff_left_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="mystuff_left" value="0" {$mystuff_left_no} class="form-radio" id="mystuff_left_0" />
		<label for="mystuff_left_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Topics per page and Posts per page *}
		<label for="PostsPer">{$pagetopics}</label><br />
		<input type="text" name="PostsPer" id="PostsPer" maxlength="3" size="3" value="{$PostsPer}" class="form-input" />
		<br /><br />

		<label for="FlatPosts">{$pageposts}</label><br />
		<input type="text" name="FlatPosts" id="FlatPosts" maxlength="3" size="3" value="{$FlatPosts}" class="form-input" />
		<br /><br />

		{* Should user avatars be displayed *}
		{$lang.SHOW_AVATARS}<br />
		<input type="radio" name="SHOW_AVATARS" value="1" {$SHOW_AVATARS_yes} class="form-radio" id="SHOW_AVATARS_1" />
		<label for="SHOW_AVATARS_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="SHOW_AVATARS" value="0" {$SHOW_AVATARS_no} class="form-radio" id="SHOW_AVATARS_0" />
		<label for="SHOW_AVATARS_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* View other people's signatures? *}
		{$lang.VIEW_SIGS}<br />
		<input type="radio" name="ShowSigs" value="yes" {$yessigview} class="form-radio" id="ShowSigs_1" />
		<label for="ShowSigs_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="ShowSigs" value="no" {$nosigview} class="form-radio" id="ShowSigs_0" />
		<label for="ShowSigs_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Should the editor show all smileys or a sub-set with a 'More' option? *}
		{$lang.SHOW_ALL_GRAEMLINS}<br />
		<input type="radio" name="show_all_graemlins" value="1" {$yesshowgraem} class="form-radio" id="show_all_graemlins_1" />
		<label for="show_all_graemlins_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="show_all_graemlins" value="0" {$noshowgraem} class="form-radio" id="show_all_graemlins_0" />
		<label for="show_all_graemlins_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Accept PMs from other users? (doesn't preclude admins) *}
		{$lang.ACCEPT_PRIV}<br />
		<input type="radio" name="AcceptPriv" value="yes" {$acceptyes} class="form-radio" id="AcceptPriv_1" /> <label for="AcceptPriv_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="AcceptPriv" value="no" {$acceptno} class="form-radio" id="AcceptPriv_0" /> <label for="AcceptPriv_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Should and Email be sent out for watched list items? *}
		{$lang.EMAIL_WATCH}<br />
		<input type="radio" name="email_watch" value="1" {$email_watches_yes} class="form-radio" id="email_watch_1" />
		<label for="email_watch_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="email_watch" value="0" {$email_watches_no} class="form-radio" id="email_watch_0" />
		<label for="email_watch_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Should new PMs generate an Email ? *}
		{$lang.PROF_NOTIF}<br />
		<input type="radio" name="Notify" value="yes" {$donotify} class="form-radio" id="notify_1" />
		<label for="notify_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="Notify" value="no" {$nonotify} class="form-radio" id="notify_0" />
		<label for="notify_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* Time format and offset selection *}
		<label for="timeformat">{$lang.TIMEFORMAT}</label><br />
		<select name="timeformat" class="form-select" id="timeformat">
		{$time_formats}
		</select><br /><br />

		<label for="timeoffset">{$lang.CURR_TIME} {$time}</label><br />
		<label for="timeoffset">{$lang.YOUR_OFFSET}</label><br />
		<input type="text" size="3" maxlength="3" name="timeoffset" id="timeoffset" class="form-input" value="{$TimeOffset}" />
		<br /><br />

		{$lang.RELATIVE_TIME}<br />
		<input type="radio" name="relative" id="relative_1" value="1" {$relativeyes} class="form-radio" /> <label for="relative_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="relative" id="relative_0" value="0" {$relativeno} class="form-radio" /> <label for="relative_0">{$lang.TEXT_NO}</label>
		<br /><br />

		{* If allowed by board config, does the user want to be invisible? *}
		{if !$config.DISABLE_ONLINE_INVISIBLE}
		{$lang.ONLINE_HIDE}<br />
		<input type="radio" name="hide" id="hide_1" value="no" {$hideyes} class="form-radio" /> <label for="hide_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="hide" id="hide_0" value="yes" {$hideno} class="form-radio" /> <label for="hide_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}

		{* Moderator and Admin special crapola *}
		{if $user_status != "User"}
	</td>
</tr>
<tr>
	<td class="tdheader">{$lang.MOD_ADMIN_PREF}</td>
</tr>
<tr>
	<td class="alt-1">
		{$lang.NOTIFY_UNAPPROVED}<br />
		<input type="radio" name="unapproved" id="unapproved_1" value="1" {$unapprovedyes} class="form-radio" /> <label for="unapproved_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="unapproved" id="unapproved_0" value="0" {$unapprovedno} class="form-radio" /> <label for="unapproved_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}

		{if $user_status == "Administrator" || $user_status == "GlobalModerator"}
		{$lang.ADMIN_NOTIFY}<br />
		<input type="radio" name="admin_notify" id="admin_notify_1" value="1" {$notify_postyes} class="form-radio" /> <label for="admin_notify_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="admin_notify" id="admin_notify_0" value="0" {$notify_postno} class="form-radio" /> <label for="admin_notify_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}	

		{if $user_status == "Administrator"}
		{$lang.NEW_USER_NOTIFY}<br />
		<input type="radio" name="newuser_notify" value="1" id="newuser_notify_1" {$newuser_yes} class="form-radio" /> <label for="newuser_notify_1">{$lang.TEXT_YES}</label>
		<input type="radio" name="newuser_notify" value="0" id="newuser_notify_0" {$newuser_no} class="form-radio" /> <label for="newuser_notify_0">{$lang.TEXT_NO}</label>
		<br /><br />
		{/if}

		{if $multi_option}
		{$lang.NOTIFY_MULTI}<br />
		<input type="radio" name="notify_multi" value="1" id="multi_on" {$multi_on} class="form-radio" /> <label for="multi_on">{$lang.TEXT_YES}<label>
		<input type="radio" name="notify_multi" value="0" id="multi_off" {$multi_off} class="form-radio" /> <label for="multi_off">{$lang.TEXT_NO}<label>
		<br /><br />
		{/if}

		<input type="submit" name="buttsubmit" value="{$lang.BUTT_SUBMIT}" class="form-button" />
	</form>

{if $mystuff}
</td>
</tr>
</table>
{/if}

</td>
</tr>
{$tbclose}
