{* Script Version 7.5.7 *}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$lang.XML_LANG}" lang="{$lang.XML_LANG}" dir="{$lang.READ_DIRECTION}">
<head>
	<title>{if $inputTitle}{$inputTitle|strip_tags} - {/if}{if $powered}{$powered} UBB.threads&trade;{else}{$config.COMMUNITY_TITLE}{/if}</title>
	<meta name="generator" content="UBB.threads {$version}" />
	{$headerinsert}
	{$refresh}
	<meta http-equiv="Content-Type" content="text/html; charset={$lang.CHARSET}" />
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<link rel="stylesheet" href="{$config.BASE_URL}/styles/common.css?v={$version}" type="text/css" />
	<link rel="stylesheet" href="{$stylesheet}?v={$version}" type="text/css" />
	<link rel="shortcut icon" href="{$config.BASE_URL}/images/{$style_array.general}/favicon.ico" />
	{$rss_feed}
	<script type="text/javascript">
		// <![CDATA[
		var baseurl		= "{$config.BASE_URL}";
		var fullurl		= "{$config.FULL_URL}";
		var script		= "{ubb url="" full="true"}";
		var imagedir		= "{$style_array.general}";
		var myUid		= '{$myid}';
		var submitClicked 	= "{$lang.SUBMIT_CLICKED}";
		var open_block		= new Image();
		open_block.src		= baseurl + "/images/{$style_array.general}/toggle_open.gif";
		var closed_block	= new Image();
		closed_block.src	= baseurl + "/images/{$style_array.general}/toggle_closed.gif";
		var loadingpreview	= "{$lang.LOADING_PREVIEW}";
		var today		= '{$today}';
		var s_priv		= '{$s_priv}';
		// ]]>
	</script>
{foreach from=$javascript item=script}
	<script type="text/javascript" src="{$config.BASE_URL}/ubb_js/{$script}?v={$version}"></script>
{/foreach}

{if $config.MAX_WIDTH_IMAGE}
<style type="text/css">
.post_inner img {literal}{{/literal}
	max-width: {$config.MAX_WIDTH_IMAGE}px;
{literal}}{/literal}
</style>
{/if}

</head>
<body{if $onload} onload="{$onload}"{/if} onclick="{literal}if(event.which!=3){clearMenus(event)}{/literal}"{if $onunload} {$onunload}{/if}>
<a id="top"></a>

{if $admin_closed_message}
{$tbopen}
	<tr>
		<td bgcolor="red" align="center">
			<span style="font-size: 12pt; font-weight: bold;">FORUM IS CURRENTLY CLOSED!</span>
		</td>
	</tr>
	<tr>
		<td class="alt-1">{$closed_message}</td>
	</tr>
{$tbclose}
{/if}

<div id="content">
{$headerfile}

<div id="active_popup" style="display: none;">
	<table class="popup_menu">
		<tr>
			<td class="popup_menu_content"><a href="{ubb url="ubb=activetopics&range=7&type=t"}">{$lang.ACTIVE_TOPICS}</a></td>
		</tr>
		<tr>
			<td class="popup_menu_content"><a href="{ubb url="ubb=activetopics&range=7&type=p"}">{$lang.ACTIVE_POSTS}</a></td>
		</tr>
		<tr>
			<td class="popup_menu_content"><a href="{ubb url="ubb=activetopics&range=7&type=u"}">{$lang.ACTIVE_NO_ANSWERS}</a></td>
		</tr>
	</table>
</div>
<script type="text/javascript">
	registerPopup("active_popup");
</script>

{if $search_link}
<div id="search_popup" style="display: none">
	<form method="post" action="{ubb url=""}">
		<input type="hidden" name="ubb" value="dosearch" />
		<input type="hidden" name="daterange" value="0" />
		<input type="hidden" name="where" value="bodysub" />
		<input type="hidden" name="fromsearch" value="1" />
		<input type="hidden" name="checkwords" value="1" />

		<table class="popup_menu">
			<tr>
				<td nowrap='nowrap' class="popup_menu_header">{$lang.SEARCH_HEADER}</td>
			</tr>
			<tr>
				<td class="popup_menu_content noclose">
					<label>
						<input type="text" name="Words" class="form-input" />
						<input type="submit" name="textsearch" value="{$lang.GO_BUTTON}" class="form-button" />
					</label>
				</td>
			</tr>
			<tr>
				<td class="popup_menu_content"><a href="{ubb url="ubb=search"}">{$lang.ADVANCED_BUTTON}</a></td>
			</tr>
		</table>
	</form>
</div>
<script type="text/javascript">
	registerPopup("search_popup");
</script>
{/if}

{if $myspace_link == 1}
<div id="myspace_popup" style="display: none;">
<table class="popup_menu">
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=viewmessages"}">{$lang.MY_PRIVATES}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=editbasic"}">{$lang.EDIT_PROF}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=editdisplay"}">{$lang.EDIT_DISPLAY}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=myhome&n=1"}">{$lang.VIEW_WATCH}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=showprofile&User=`$myid`"}">{$lang.VIEW_PROF}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=userposts&id=`$myid`"}">{$lang.MY_POSTS}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=mybuddies"}">{$lang.MY_BUDDIES}</a></td></tr>
{if $config.MY_FEEDS}
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=myfeeds&show=1"}">{$lang.MY_FEEDS}</a></td></tr>
{/if}
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=subscriptions"}">{$lang.MY_SUBS}</a></td></tr>
<tr><td class="popup_menu_content"><a href="{ubb url="ubb=mycookies"}">{$lang.MYCOOKIES}</a></td></tr>
</table></div>
<script type="text/javascript">registerPopup("myspace_popup");</script>
{/if}

<table align="center" width="{$config.TABLE_WIDTH}" cellpadding="0" cellspacing="0">
<tr>
<td>
{$tbopen}
<tr>
<td class="breadcrumbs">
<span style="float:right">{$welcome}
{if $mood && $config.ENABLE_MOODS}
<span title="{$lang.CHANGE_MOOD}" style="cursor: pointer" onclick="showChromeless('{ubb url="ubb=changemood"}','mood',400,300);">
<img name="mood" src="{$config.BASE_URL}/images/{$style_array.mood}/{$mood}" style="vertical-align:middle" alt="{$lang.CHANGE_MOOD}" /> &darr;
</span>
{/if}
</span>
<span style="float:left">
{if $config.ENABLE_MAIN_PORTAL}
<a href="{ubb url=""}">{$config.COMMUNITY_TITLE}</a>
{else}
<a href="{$config.HOMEPAGE_URL}">{$config.HOMEPAGE_TITLE}</a>
{/if}
{if $breadcrumb}
 &raquo; {$breadcrumb}
{/if}
</span>
</td>
</tr>
<tr>
<td class="navigation">
{if $new_user_link}
<a href="{ubb url="ubb=newuser"}">{$lang.NEW_USER}</a> &nbsp;&nbsp;
{/if}
{if $cp_link}
<a href="{$config.BASE_URL}/admin/index.php">{$lang.ADMIN_MENU}</a> &nbsp;&nbsp;
{/if}
{if $config.ENABLE_MAIN_PORTAL}
<a href="{ubb url=""}">{$lang.PORTAL}</a> &nbsp; &nbsp;
{/if}
<a href="{ubb url="ubb=cfrm"}">{$lang.FORUM_LIST}</a> &nbsp;&nbsp;
{if $myspace_link == 1}
<span style="cursor: pointer;" id="myspace_control" onclick="showHideMenu('myspace_control','myspace_popup')">
<a href="javascript:void(0);">{$lang.MY_SPACE}</a>
<img style="vertical-align: middle" src="{$config.BASE_URL}/images/{$style_array.general}/toggle_open.gif" alt="" />
</span>
{elseif $myspace_link == 2}
<a href="{ubb url="ubb=viewmessages"}">{$lang.MY_SPACE}</a>
{/if}
{$new_flasher} &nbsp;&nbsp;&nbsp;
{if $user_list}
<a href="{ubb url="ubb=showmembers"}">{$lang.USER_LIST}</a> &nbsp;&nbsp;&nbsp;
{/if}
{if $config.CALENDAR}
<a href="{ubb url="ubb=calendar"}">{$lang.CALENDAR}</a> &nbsp;&nbsp;&nbsp;
{/if}
<span style="cursor: pointer;" id="active_control" onclick="showHideMenu('active_control','active_popup')">
<a href="javascript:void(0);">{$lang.ACTIVE_TOPICS}</a>
<img style="vertical-align: middle" src="{$config.BASE_URL}/images/{$style_array.general}/toggle_open.gif" alt="" />
</span> &nbsp;&nbsp;&nbsp;
{if $search_link}
<span style="cursor: pointer;" id="search_control" onclick="showHideMenu('search_control','search_popup')">
<a href="javascript:void(0);">{$lang.TEXT_SEARCH}</a>
<img style="vertical-align: middle" src="{$config.BASE_URL}/images/{$style_array.general}/toggle_open.gif" alt="" />
</span> &nbsp;&nbsp;&nbsp;
{/if}
<a href="{ubb url="ubb=faq"}">{$lang.FAQ_TEXT}</a>
</td>
</tr>
{$tbclose}

</td>
</tr>
<tr>
<td>
<table width="100%" cellpadding="0" cellspacing="0" style="margin-top: -5px">
