<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <title>eAPIS</title>
    <link href="../css/members_style.css" rel="stylesheet" type="text/css">
    <link href="../css/text-styles.css" rel="stylesheet" type="text/css">
    <SCRIPT TYPE="text/javascript">    
    function openNewWindow(url,h,w){
        win = window.open(url,
        null, null);    
        if (parseInt(navigator.appVersion) >= 4) win.window.focus();
    }
    </script>     
</head>
<body>
<div class="center">
    <div id="main" class="main">
        <div class="header">
            <img class="image-container" src="../img/header/eapispopup.png" width="635" height="100" alt="Eapis Header"/>
        </div>
         <div class="body">
            <div class="container">
                <div class="content-left" id="body_div">
                    <div class="notice" style="width:635px;">
                        <h1>eAPIS</h1>
                        <p><span class="strong-em">The following resources may be helpful in  acquainting you with eAPIS and answering common questions related to the  system.</span></p>
                        <ul>
                        <li><span class="strong-em">Links to training materials and tutorials</span></li>
                        <li><span class="strong-em">step-by-step guide</span></li>
                        <li><span class="strong-em">FAQ&rsquo;s </span></li>
                        </ul>
                        <p><span class="strong-em">Links  to training manuals and resources:</span>
                        <ul>
                        <li><a target="_blank" href="http://apps.cbp.gov/eAPIS-pa/">DHS  eAPIS Tutorial</a> (on  line version)</li>
                        <li><a target="_blank" href="http://apps.cbp.gov/eapis-pa/508/">DHS eAPIS Tutorial</a> (PDF version)</li>
                        <li><a target="_blank" href="https://eapis.cbp.dhs.gov/">eAPIS website</a> </li>
                        <li><a target="_blank" href="http://flash.aopa.org/asf/eAPIS/">AOPA Tutorial</a> (on-line tutorial, AOPA members)</li>
                        </ul>
                        </p>
                        <h2>A  Step-by-step overview of how the new rule works:</h2>
                        <p>
                        This overview is not intended to replace the in  depth tutorials offered by AOPA and CBP but is a quick review for those  unfamiliar with what the system entails. 
                        </p>
                        <p>
                        <span class="strong-em">Before  your trip: </span>To use eAPIS (directly or using 3&rsquo;rd party  software), you will need to obtain an eAPIS account. This can be accomplished by  going to the <a target="_blank" href="https://eapis.cbp.dhs.gov/">eAPIS page</a> on the DHS website, clicking on &ldquo;ENROLL&rdquo; and entering  the required information. The information to be presented in this first step  is:
                        </p>
                        <ul>
                            <li>Name</li>
                            <li>Date of birth</li>
                            <li>Email address</li>
                            <li>Telephone</li>
                            <li>Address</li>
                            <li>Alternate contact person</li>
                            <li>Alternate contact person Email address</li>
                            <li>Alternate contact person telephone</li>
                            <li>Alternate contact person address</li>
                            <li>Create a password</li>
                        </ul>
                        <p>After approximately 5 business days, you will  receive, via email, your user account name, password and activation key. Upon  receiving these, you will go back to the eAPIS website, and enter them in the  &ldquo;LOG IN&rdquo; section to activate your account. You are now ready to submit  departure and arrival notifications and manifests.</p>
                        <p><span class="strong-em">First  session with eAPIS:</span> Your first session using eAPIS will be the  longest as you will need to enter all of your information and get familiarized  with the system. Currently, pilot and crew information is stored by eAPIS for  future use. You should budget about one hour for your first session. The  information required includes:</p>
                        <p><span class="span-underline">Pilot  &amp; crew information (stored by eAPIS for retrieval and future use)</span></p>
                        <ul>
                            <li>Name</li>
                            <li>Date of birth</li>
                            <li>Crew member status </li>
                            <li>Gender</li>
                            <li>Country of residence</li>
                            <li>Country of citizenship</li>
                            <li>Permanent address</li>
                            <li>DHS approved travel document(s) (passport  &amp; pilot license)</li>
                        </ul>
                        <p><span class="span-underline">Aircraft information (stored by eAPIS for retrieval and  future use)</span></p>
                        <ul>
                            <li>Tail number</li>
                            <li>Type of aircraft</li>
                            <li>Color(s)</li>
                            <li>Call sign</li>
                            <li>CBP decal number</li>
                            <li>Name or company name of aircraft operator</li>
                            <li>Address and country of aircraft operator</li>
                            <li>Telephone number and email address of  aircraft operator</li>
                            <li>Name or company name of aircraft owner</li>
                            <li>Address and country of aircraft owner</li>
                            <li>Telephone number and email address of  aircraft owner</li>
                        </ul>
                        <p><span class="strong-em">Submitting  a Departure notification and manifest:</span> Once  you have pilot/crew information and aircraft information for this flight, you  will proceed to generate a notification and manifest. This step MUST be  completed at least 60 minutes prior to departure and you must receive a  separate email confirmation from DHS before departing. The information for a Departure  notification and manifest are:</p>
                        <p><span class="span-underline">Notification</span></p>
                        <ul>
                            <li>Aircraft information above. (The system will  automatically pull up aircraft information previously entered and allow you to  modify or update it if necessary).</li>
                            <li>U.S. Departure airport ICAO code. A list of  airports can be viewed on eAPIS, if your airport is not on the list then pick  the one closest to your departure airport</li>
                            <li>Departure city and state</li>
                            <li>Departure date and estimated time of  departure (ETD)</li>
                            <li>Departure location description</li>
                            <li>Destination country</li>
                            <li>ICAO code of destination airport (if  available)</li>
                            <li>Estimated time of arrival (ETA) at foreign  destination</li>
                            <li>List of up to five foreign airports you plan  to visit in the following 24 hours</li>
                            <li>Estimated time and location of crossing the  US border or coastline</li>
                            <li>Name, telephone number and email address of  24 hour emergency contact</li>
                            <li>Number of crew and passengers </li>
                        </ul>
                        <p><span class="span-underline">Manifest</span></p>
                        <ul>
                            <li>The system will allow you to select pilot and  crew previously entered for the manifest <span class="span-underline">(The system will allow you to  review and update pilot/crew information prior to placing on manifest)</span></li>
                            <li>Address, city and state of crewmembers while  in the US (not permanent address)</li>
                            <li>Name of passenger</li>
                            <li>Country of residence of passenger</li>
                            <li>Date of birth of passenger</li>
                            <li>Country of citizenship of passenger</li>
                            <li>Address of passenger while in the US</li>
                            <li>DHS approved travel document(s) of passenger  (type, number, country of issuance, expiration date)</li>
                        </ul>
                        <p><span class="strong-em">Submitting  an Arrival notification and manifest:</span> When  you are returning to the US you must provide an arrival notification and  manifest. This step MUST be completed at least 60 minutes prior to departure  and you must receive a separate email confirmation from DHS before departing.  Since there is no limit as to how early this can be done, we recommend that you  do this step prior to departing the USA if you already have a return date in  mind. The information for an Arrival notification and manifest are:
                        </p>
                        <p class="span-underline">Notification</p>
                        <ul>
                            <li>Aircraft information above. (The system will  automatically pull up aircraft information previously entered and allow you to modify  or update it if necessary)</li>
                            <li>Departure city and country</li>
                            <li>Departure airport ICAO code if available.</li>
                            <li>Departure city and state</li>
                            <li>Arrival date and estimated time of arrival  (ETA)</li>
                            <li>Arrival location description</li>
                            <li>ICAO code of arrival airport</li>
                            <li>Estimated time of departure (ETD) from  foreign departure point</li>
                            <li>List of up to five foreign airports visited  in the previous 24 hours</li>
                            <li>Estimated time and location of crossing the  US border or coastline</li>
                            <li>Name, telephone number and email address of  24 hour emergency contact</li>
                            <li>Number of crew and passengers (for creating  the manifest &ndash; next step)</li>
                        </ul>
                        <p class="span-underline">Manifest</p>
                        <ul>
                            <li>The system will allow you to select pilot and  crew previously entered for the manifest</li>
                            <li>Address, city and state of crewmembers while  in the US (not permanent address)
                                <span class="span-underline">(The system will allow you  to review and update pilot/crew information prior to placing on manifest)<span class="span-underline">
                            </li>
                            <li>Name of passenger<u></u></li>
                            <li>Country of residence of passenger<u></u></li>
                            <li>Date of birth of passenger<u></u></li>
                            <li>Country of citizenship of passenger<u></u></li>
                            <li>Address of passenger while in the US<u></u></li>
                            <li>DHS approved travel document(s) of passenger  (type, number, country of issuance, expiration date)<u></u></li>
                        </ul>
                        <p><span class="strong-em">Navigating  the system:</span> Although not the easiest system to navigate,  there are a few key characteristics that you should be aware of:</p>
                        <ul>
                            <li>All REQUIRED fields are marked with a red  star <span class="text-red">*</span></li>
                            <li>Fields where available options are stored in  the system are marked with an arrow <img src="arrow-eapis.png" height="20" width="20" alt="blue arrow" /></li>
                            <li>Fields with no star or arrow are &ldquo;free  fields&rdquo; which can be filled with free text</li>
                            <li>When selecting crew information to be used  for a manifest, you need to click the button &ldquo;show details&rdquo; to populate the  page so that you can review, verify and submit.</li>
                            <li>If a critical error occurs when submitting  information a <span class="text-red">RED error message</span> will appear. </li>
                            <li>If an error occurs when optional information  is omitted or entered incorrectly, a <span class="text-green">GREEN error message</span> will appear. In the case of GREEN  error messages, you can resubmit the information to proceed  if you do not wish to make any additions or modifications.</li>
                            <li>DO NOT make &ldquo;trial&rdquo; submissions with eAPIS,  it is a live system and once submitted notifications and manifests cannot be  retrieved, modified or deleted. Use the tutorials below for practicing with the  system.</li>
                        </ul>
                        <h2>Clarifications on how rule will affect pilots:</h2>
                        <p><span class="strong-em">File  at any time: </span>The outbound and inbound manifests and  notices of departure/arrival can be filed at any time prior to the trip as long  as the 60 minute requirement is met. Therefore, you could file everything and  receive your approvals and confirmation before you ever leave home where you  have internet access.</p>
                        <p><span class="strong-em">eAPIS  gives you direct access:</span> eAPIS is the most direct  way to give CBP your information. Once you receive your authorization, you are  free to proceed as filed.</p>
                        <p><span class="strong-em">eAPIS  is &quot;smart&quot;:</span> Aircraft and pilot information will be  retained in eAPIS. You can even have multiple &quot;N&quot; numbers in your  account. This way, once you have entered the information the first time, it  will be there each time you use eAPIS so that you do not have to reenter it  each time. Manifest information, however, will not be retained on the CBP  server to protect personal information from the risk of unauthorized access.</p>
                        <p><span class="strong-em">eAPIS  gives us written confirmation: </span>eAPIS  gives us a physical document verifying that we have properly submitted our  information by providing us with a confirmation number via e-mail versus the  old way of getting initials etc from the CBP officer on the phone. </p>
                        <p><span class="strong-em">What  if eAPIS denies your flight?:</span> If  your information somehow triggers a rejection, you will receive instructions  and a telephone number to a national call center in order to address the  problem. Since there can be a wide range of scenarios that could create such an  event, CBP cannot give any details to specific procedures or timeframes. </p>
                        <p><span class="strong-em">What  if the eAPIS system is down?:</span> If  users cannot access the system due to computer downtime or some system failure  then they should contact the port of entry directly. The officer can then  instruct the pilot as to the information to be provided (likely everything you  would enter in eAPIS) and at what time the pilot should call back to get their  authorization/confirmation information. Telephone numbers for CBP ports of  entry can be found in the <a target="_blank" href="http://www.caribbeanskytours.com/pilot_guide.html">Caribbean Sky Tours Pilot's Guide.</a> </p>
                        <p><span class="strong-em">E-mail  service:</span> The system interacts with the user in two  ways. 1) The information eAPIS requies is entered by the user via the eAPIS  system on-line through the internet 2) the authorization and confirmation  number that eAPIS generates is sent to the user in a separate email. Therefore,  users will need to be able to access their emails from wherever they plan to  make their eAPIS submissions. (There are plans to have eAPIS provide the user  with the authorization on-line via eAPIS so that you will not have to access your  email separately, however, that is still not available.)</p>
                        <p><span class="strong-em">You  still need to call the port to schedule your arrival:</span> At the current time, eAPIS does not verify CBP officer  availability so you still need to contact the port directly to schedule your  arrival. </p>
                        <p><span class="strong-em">Changing  your departure time and departure point on a flight leaving the USA for a  foreign port: </span>If your departure point and departure ETA  vary during the calendar day that you had submitted on your eAPIS filing and  the changes are &quot;reasonable&quot; then you do not need to re-submit.  Examples of &quot;reasonable&quot; were described as having to leave 2-3 hours  late due to mechanical or having to re-position to a nearby airport due to  fuel, mechanical etc. Examples of what is NOT considered reasonable were filing  to leave from one point and actually leaving from some other point several  states away. Calendar day is also critical, if you are departing on a different  calendar day then you must re-submit.</p>
                        <p><span class="strong-em">Changing  your departure time, departure date and departure point on a flight leaving a  foreign port for the USA: </span>This is a common scenario  encountered frequently by pilots. Pilots should contact the CBP office at the  port of entry directly to negotiate these changes.</p>
                        <p>DEPARTURE TIME: If an officer at the port of  entry approves an arrival time other than what you submitted in eAPIS, you do  not need to update your eAPIS submission UNLESS you are arriving on a different  DATE from what you submitted.</p>
                        <p>DEPARTURE POINT: Normally you will have to  submit a new eAPIS if the departure point However, if the officer at the port  you plan to fly to approves your new departure point then you do not need to  re-file. Make sure that you clarify this point with the officer.</p>
                        <p>DEPARTURE DATE: Normally, you will have to  submit a new eAPIS if the date changes UNLESS the officer of the port makes the  change for you.</p>
                        <p>In all cases, we recommend that you obtain  the officer's name, badge number or initials on any call related to your  flight.</p>
                        <p><span class="strong-em">Make  sure that the information is correct:</span> CBP  can penalize users that submit false information to CBP. However, CBP appears  to be applying a &quot;common sense&quot; approach to what is considered  &quot;false&quot; and penalties are not assessed until reviewed centrally. In  short, if the pilot demonstrates a &quot;good faith effort&quot; to provide CBP  with the information and has taken reasonable steps to do so, then it is  unlikely that CBP would take any action against the pilot.</p>
                        <p><span class="strong-em">Changes  to manifests:</span> If someone on a manifest decides not to make  the trip, resubmission on eAPIS is not required. For example, if you are in the  Bahamas and someone in the party decides to stay an extra day and not return on  the flight and that person's information had been submitted in eAPIS on the  return manifest, the pilot DOES NOT need to resubmit. However, if someone NOT  on the manifest decides to join the flight for the return to the USA, then a  manifest submission WILL need to be made via eAPIS. </p>
                        <p><span class="strong-em">If all  else fails, call CBP:</span> If pilots find themselves in a position  where they cannot meet the obligations of the new rule, they should contact CBP  at the port of entry for assistance. The officer should work with the pilot to  overcome whatever obstacle is preventing the pilot from complying and granting  the pilot and the flight authorization to return to the USA.</p>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
